html {
    font-size: 62.5%;
}

body {
    font-size: 1.6rem;
}
/* Shared */
.btn {
    height: 5rem;
    font-size: 2rem;
    outline: none;
    border: .1rem solid rgba(63, 175, 240, 0.897);;
    border-radius: .5rem;
    cursor: pointer;
    margin-left: .5rem;
    color: rgba(63, 175, 240, 0.897);
    margin-right: .5rem;
}

.btn:hover {
    background-color: rgba(63, 175, 240, 0.897);;
    color: white;
}
.binput {
    height: 5rem;
    flex-grow: 1;
    font-size: 2rem;
    border: .1rem solid rgba(63, 175, 240, 0.897);;
    border-radius: .5rem;
    padding: 1rem;
    margin-top: .5rem;
    margin-bottom: .5rem;
}
.clickable {
    cursor: pointer;
}

.dot {
    height: .5rem;
    width: .5rem;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
  }

.mx-2 {
    margin-right: .5rem;
    margin-left: .5rem;
}

.quote_reply {
    font-size: 2rem;
    margin-top: 1rem;
    margin-bottom: 1rem;
    font-color: rgba(43, 33, 49, 0.753);
}

/* Add new comment */
.cmnt_new {
    display: flex;
}
.cmnt_new__input_container {
    display: flex;
    width: 100%;
}
.cmnt_new__input {
    height: 5rem;
    flex-grow: 1;
    font-size: 2rem;
    border: .1rem solid rgba(63, 175, 240, 0.897);;
    border-radius: .5rem;
    padding: 1rem;
}

/* comments */

.cmnt_container {
    padding: 1rem; 
}

.cmnt {
    display: flex;
    flex-direction: row;
    /* border: 1px solid black; */
    margin: 1rem 0;
}

.cmnt__avatar {
    width: 4rem;
    height: 4rem;
    /* border: 1px solid black; */
    margin-right: 1.5rem;
}

.cmnt__body {
    display: flex;
    flex-direction: column;
}
/* Top row - containing naming info and time */
.cmnt__top_row {
    display: flex;
    align-items: center;
}
.cmnt__handle {
    color: rgba(63, 175, 240, 0.897);
    font-weight: bold;
}
img.reply_to {
    width: 2.7rem;
    height: 2rem;
}
div.reply_to {
    color: rgba(95, 94, 94, 0.514);
}
.cmnt__time {
    font-size: 1.4rem;
    color: rgba(95, 94, 94, 0.514);
}
/* Middle row -- comment text */
.cmnt__text {
    margin: .5rem 0;
}
/* Bottom row containing vote count, upvote/downvote buttons, Reply and Share */
.cmnt__bottom_row {
    display: flex;
    flex-direction: row;
    align-items: center;
    color: rgba(95, 94, 94, 0.514);
    font-size: 1.4rem;
}
.vote_count {
   
}
.cmnt__vote_button {
    
}
.cmnt__vote_button:hover {
    color: black;
}

.cmnt__reply {
    cursor: pointer;
}
.cmnt__reply:hover {
    color: darkolivegreen;
}

.cmnt__share {
    cursor: pointer;
}
.cmnt__share:hover {
    color: darkolivegreen;
}

/* REPLY MODAL */
.modal {
    left: 0;
    top: 0;
    position: fixed;
    width: 100vw;
    height: 100vh;
    
}

.modal__bg {
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.5);
    display: flex;
    align-items: center;
    justify-content: center;
}

.modal__layout {
    height: auto;
    width: 60rem;
    background-color: #fff;
    padding: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.modal__btns {
    display: flex;
    align-items: center;
    justify-content: center;
}
